Subject: Re: more "address space needed ... is already occupied" problems (with snapshot of 2012-02-20)
From: Tassilo Philipp <[email-masked]>
To: Michael Lutz <[email-masked]>
Cc: [email-masked]
Date: Thu, 23 Feb 2012 18:50:23 -0600
List-Id: <cygwin.cygwin.com>

On Fri, 24 Feb 2012 00:23:38 +0100
Michael Lutz <[email-masked]> wrote:

> Am 23.02.2012 09:30 schrieb Corinna Vinschen:
> > If you ran rebaseall, then ruby's shared libs should have been rebased
> > as well.
> 
> This is not necessarily true if you've got gems (just like perl CPAN
> modules) not packaged by cygwin installed.
>
> For that I've hacked a rubyrebase script from the cygwin supplied
> perlrebase script. I've attached it here, maybe it can be useful for other
> people as well.

Thank you so much, that solved it for me! I tried looking up the address of etc.so by using Corinna's suggestion (rebase -si), and it wasn't included in that list at all (not even when using cygwin's ruby 1.8.7 package), so it did never rebase it. After rebasing etc.so explicitly, I had other shared objects with similar problems. Your script did the magic, thanks!

> Feel free to use it for whatever you want, public domain, CC-0, whatever.
> 
> 
> Michael

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple